Page MenuHomePhabricator

Deploy Compact Language Links on the English Wikipedia
Closed, ResolvedPublic

Description

Deploying will be done similarly to Swedish and German:

  • Anonymous users will get compact language links.
  • Newly registered users will get compact language links.
  • Already registered users will get compact language links if they had the beta feature enabled or if they didn't edit in 2017. Already registered users who edited in 2017 and didn't enable the beta feature will get the usual old language links.
  • All registered users will be able to enable or disable this feature in the preferences.

Target date: 2017 February 28

Checklist

  • Post first message [Amir]: page / diff
  • Post second message [Amir]: page / diff
  • Create performance migration testing accounts and queries [Amir]
  • Create a patch to make it enabled on enwiki [Kartik]
  • Schedule the ULSCompactLinksDisablePref.php dry run for Wednesday February 21. [Kartik]
  • Perform the ULSCompactLinksDisablePref.php dry run on Wednesday February 21. [Kartik]
  • Schedule the ULSCompactLinksDisablePref.php real run and config change ({{gerrit|412696}}) for Wednesday February 28. [Kartik]
  • Cherry-pick ULSCompactLinksDisablePref.php from master for T187880 (Monday February 26). [Kartik]
  • Perform the ULSCompactLinksDisablePref.php real run (Wednesday February 28). [Kartik]
  • Verify preferences conversion (Wednesday February 28) [Amir]
  • Deploy config change: 412696 (Wednesday February 28) [Kartik]
  • Test (Wednesday February 28) [Amir]

Event Timeline

Amire80 created this task.Feb 19 2018, 8:12 AM
Restricted Application added a project: UniversalLanguageSelector. · View Herald TranscriptFeb 19 2018, 8:12 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Amire80 triaged this task as High priority.
Arrbee reassigned this task from KartikMistry to Amire80.Feb 19 2018, 12:51 PM
Amire80 updated the task description. (Show Details)Feb 19 2018, 1:14 PM
Pginer-WMF raised the priority of this task from High to Needs Triage.Feb 19 2018, 2:54 PM
Pginer-WMF triaged this task as High priority.
Pginer-WMF moved this task from Backlog to In Progress on the Language-2018-Jan-Mar board.
KartikMistry updated the task description. (Show Details)Feb 20 2018, 7:25 AM
Amire80 updated the task description. (Show Details)Feb 21 2018, 9:58 AM

Mentioned in SAL (#wikimedia-operations) [2018-02-21T10:01:23Z] <kart_> Running CLL preference migration script dry-run on terbium (T187677)

Mentioned in SAL (#wikimedia-operations) [2018-02-21T10:40:53Z] <kart_> Finished running CLL preference migration script dry-run on terbium (T187677)

KartikMistry updated the task description. (Show Details)Feb 22 2018, 4:32 AM
Amire80 updated the task description. (Show Details)Feb 22 2018, 11:37 AM
Amire80 updated the task description. (Show Details)Feb 22 2018, 1:02 PM
Amire80 updated the task description. (Show Details)Feb 22 2018, 1:26 PM
KartikMistry updated the task description. (Show Details)Feb 22 2018, 1:44 PM
Amire80 updated the task description. (Show Details)Feb 23 2018, 2:16 PM
KartikMistry updated the task description. (Show Details)Feb 26 2018, 2:21 PM

Mentioned in SAL (#wikimedia-operations) [2018-02-28T03:01:42Z] <kart_> Starting CLL preference migration script on terbium (T187677)

Mentioned in SAL (#wikimedia-operations) [2018-02-28T06:31:57Z] <kart_> (Re)Starting CLL preference migration script on terbium (T187677)

Mentioned in SAL (#wikimedia-operations) [2018-02-28T17:46:12Z] <kart_> Finished running CLL preference migration script on terbium (T187677)

KartikMistry updated the task description. (Show Details)Feb 28 2018, 5:47 PM

Change 412696 merged by jenkins-bot:
[operations/mediawiki-config@master] Deploy Compact Language Links out of Beta on English Wikipedia

https://gerrit.wikimedia.org/r/412696

Mentioned in SAL (#wikimedia-operations) [2018-02-28T18:19:08Z] <niharika29@tin> Synchronized wmf-config/InitialiseSettings.php: Deploy Compact Language Links out of Beta on English Wikipedia T187677 (duration: 00m 58s)

KartikMistry updated the task description. (Show Details)Feb 28 2018, 6:20 PM
Amire80 closed this task as Resolved.Feb 28 2018, 6:32 PM
Amire80 added a subscriber: Niharika.

Done.

Deployed by @Niharika and @KartikMistry, tested by me.

Compact Language Links is no longer a beta feature on any Wikipedia.

Well done and congratulations!